=== debian/changelog ===
relacy (0.0+git20191025.acc09bb-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Thu, 06 Aug 2020 17:23:18 +0200

relacy (0.0+git20191025.acc09bb-1) unstable; urgency=medium

  * Initial release (Closes: #966204)

 -- Shayan Doust <hello@shayandoust.me>  Sat, 25 Jul 2020 19:19:20 +0000
