=== debian/control ===
Source: relacy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/relacy
Vcs-Git: https://salsa.debian.org/med-team/relacy.git
Homepage: https://github.com/dvyukov/relacy
Rules-Requires-Root: no

Package: relacy-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: meticulous synchronization algorithm verifier for relaxed memory models
 Relacy Race Detector is a tool for efficient execution of unit tests for
 synchronization algorithms written in C++0x. Every user thread is
 represented as a fiber (ucontext). Every time only one fiber is running,
 and special scheduler controls interleaving between fibers. With random
 scheduler it just executes numerous amount of various interleavings
 between threads. With full search scheduler or context-bound scheduler
 it systematically executes all possible interleavings between threads.
 While executing particular interleaving it makes exhaustive verification
 of various aspects of execution (races, accesses to freed memory etc).
 .
 If no errors found then verification terminates when particular number
 of interleavings are verified (for random scheduler), or when all
 possible interleavings are verified (for full search scheduler). If
 error is found then tool outputs execution history which leads to error
 and terminates. Physically Relacy Race Detector is a header-only library
 for C++98.
